<?php
namespace Internetgalerie\IgEmailNoindex\Typolink;


use TYPO3\CMS\Frontend\Typolink\EmailLinkBuilder;
use TYPO3\CMS\Core\LinkHandling\LinkService;
use TYPO3\CMS\Frontend\Typolink\LinkResult;
use TYPO3\CMS\Frontend\Typolink\LinkResultInterface;

class MyEmailLinkBuilder extends EmailLinkBuilder {

    public function build(array &$linkDetails, string $linkText, string $target, array $conf): LinkResultInterface
    {
        [$url, $linkText, $attributes] = $this->processEmailLink($linkDetails['email'], $linkText, $linkDetails);
        $attributes['data-nosnippet'] = '1';
        return (new LinkResult(LinkService::TYPE_EMAIL, $url))
            ->withTarget($target)
            ->withLinkConfiguration($conf)
            //->withLinkText('<!--TYPO3SEARCH_end-->' . $linkText . '<!--TYPO3SEARCH_begin-->') // not working in footer (excluded content parts
            ->withLinkText($linkText)
            ->withAttributes($attributes);
    }


}
